package io.better.toutiao.dto.util;

import io.better.toutiao.dto.resp.PageRespDTO;
import lombok.Data;

/**
 * @author better create in 2019-04-30 10:55
 */
@Data
public class FileInfoInDTO extends PageRespDTO {

    // ==========图片信息 start==========

    /**
     * 图片ID
     */
    private String id;

    /**
     * 图片大小
     */
    private Long size;

    /**
     * 图片宽度
     */
    private Integer width;

    /**
     * 图片高度
     */
    private Integer height;

    /**
     * 预览地址(1小时内有效)
     */
    private String url;

    /**
     * 图片格式
     */
    private String format;

    /**
     * 图片md5
     */
    private String signature;

    // ==========图片信息 end============

    // ==========视频信息 start==========

    /**
     * 视频ID
     */
    private String videoId;

    // ==========视频信息 end============


    // ==========视频素材信息 start=======

    /**
     * 视频首帧截图
     */
    private String posterUrl;

    /**
     * 码率
     */
    private String bitRate;

    /**
     * 时长
     */
    private Long duration;

    // ==========视频素材信息 end=========

    // ==========图片素材信息 start=======
    // ==========图片素材信息 end=========
}
